Open CASCADE Technology: LocOpe_GeneratedShape Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Attributes
LocOpe_GeneratedShape Class Referenceabstract

`#include <LocOpe_GeneratedShape.hxx>`

Inheritance diagram for LocOpe_GeneratedShape:
[legend]

## Public Member Functions
virtual const TopTools_ListOfShape & | GeneratingEdges ()=0
virtual TopoDS_Edge | Generated (const TopoDS_Vertex &V)=0
| Returns the edge created by the vertex <V>. If none, must return a null shape. More...
virtual TopoDS_Face | Generated (const TopoDS_Edge &E)=0
| Returns the face created by the edge <E>. If none, must return a null shape. More...
virtual const TopTools_ListOfShape & | OrientedFaces ()=0
| Returns the list of correctly oriented generated faces. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Protected Attributes
TopTools_ListOfShape | myGEdges
TopTools_ListOfShape | myList

## Member Function Documentation

virtual TopoDS_Edge LocOpe_GeneratedShape::Generated | ( | const TopoDS_Vertex & | V | ) |
| pure virtual

Returns the edge created by the vertex <V>. If none, must return a null shape.

Implemented in LocOpe_GluedShape.

virtual TopoDS_Face LocOpe_GeneratedShape::Generated | ( | const TopoDS_Edge & | E | ) |
| pure virtual

Returns the face created by the edge <E>. If none, must return a null shape.

Implemented in LocOpe_GluedShape.

virtual const TopTools_ListOfShape& LocOpe_GeneratedShape::GeneratingEdges | ( |  | ) |
| pure virtual

Implemented in LocOpe_GluedShape.

virtual const TopTools_ListOfShape& LocOpe_GeneratedShape::OrientedFaces | ( |  | ) |
| pure virtual

Returns the list of correctly oriented generated faces.

Implemented in LocOpe_GluedShape.

## Field Documentation

TopTools_ListOfShape LocOpe_GeneratedShape::myGEdges
| protected

TopTools_ListOfShape LocOpe_GeneratedShape::myList
| protected

The documentation for this class was generated from the following file:

- LocOpe_GeneratedShape.hxx